[tool.poetry]
name = "bizzflow-ui"
version = "0.6.2"
description = ""
authors = ["Tomas Votava <tomas.votava@bizztreat.com>"]


[tool.poe.tasks]
init-airflow = { "shell" = "mkdir -p $PWD/airflow && AIRFLOW_HOME=$PWD/airflow airflow initdb" }
serve = { "shell" = "AIRFLOW_HOME=$PWD/airflow BIZZFLOW_PROJECT_PATH=$PWD/.project uvicorn --host localhost --port 9090 main:app" }
worker = { "shell" =  "AIRFLOW_HOME=$PWD/airflow BIZZFLOW_PROJECT_PATH=$PWD/.project celery -A flow.worker worker --concurrency 2 --max-memory-per-child 100000 --loglevel INFO --hostname celery@flowui"}
dev = ["init-airflow", "serve"]
clean = { "shell" = "rm -rf $PWD/airflow" }
pylint = "pylint main.py flow"
mypy = "mypy main.py flow"
lint = ["pylint", "mypy"]

[tool.black]
line_length = 119

[tool.poetry.dependencies]
python = ">=3.11,<3.12"
bizzflow-toolkit = { git = "https://gitlab.com/bizzflow-etl/toolkit.git", branch = "2.7.1", extras = ["amazon", "google", "azure", "onprem", "snowflake"] }
fastapi = "<0.100.0"
celery = "^5.3.6"
redis = "^5.0.3"
python-dotenv = "^1.0.1"
uvicorn = "^0.29.0"
# it fails with the latest version
numpy = "<2.0.0"






[tool.poetry.group.dev.dependencies]
poethepoet = "^0.25.1"
pylint = "^3.1.0"
black = "^24.4.0"
mypy = "^1.9.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
